Module org.hsqldb.sqltool
Package org.hsqldb.cmdline

## Class SqlToolSprayer

- java.lang.Object
- - org.hsqldb.cmdline.SqlToolSprayer

-     public class SqlToolSprayer
      extends java.lang.Object

  Sql Tool Sprayer. Invokes SqlTool.objectMain() multiple times with the same SQL. Invokes for multiple urlids and/or retries. See JavaDocs for the main method for syntax of how to run. System properties used if set:
  - sqltoolsprayer.period (in ms.)
  - sqltoolsprayer.maxtime (in ms.)
  - sqltoolsprayer.rcfile (filepath)
  Author:
    Blaine Simpson (blaine dot simpson at admc dot com)
  See Also:
    `main(String[])`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `LS` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SqlToolSprayer()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `main​(java.lang.String[] sa)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LS

          public static final java.lang.String LS

  - ### Constructor Detail

    - #### SqlToolSprayer

          public SqlToolSprayer()

  - ### Method Detail

    - #### main

          public static void main​(java.lang.String[] sa)